Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 4796)
+++ palm/trunk/SOURCE/parin.f90	(revision 4797)
@@ -414,8 +739,8 @@
 
  11 REWIND ( 11 )
-    READ ( 11, inipar, ERR=12, END=13 )
-
-    message_string = 'namelist inipar is deprecated and will be ' //    &
-                     'removed in near future. & Please use namelist ' // &
+    READ( 11, inipar, ERR=12, END=13 )
+
+    message_string = 'namelist inipar is deprecated and will be ' //                               &
+                     'removed in near future. & Please use namelist ' //                           &
                      'initialization_parameters instead'
     CALL message( 'parin', 'PA0017', 0, 1, 0, 6, 0 )
@@ -431,20 +756,19 @@
 
 !
-!-- Try to read runtime parameters given by the user for this run
-!-- (namelist "runtime_parameters"). The namelist "runtime_parmeters"
-!-- can be omitted. In that case default values are used for the
+!-- Try to read runtime parameters given by the user for this run (namelist "runtime_parameters").
+!-- The namelist "runtime_parmeters" can be omitted. In that case default values are used for the
 !-- parameters.
  14 line = ' '
 
-    REWIND ( 11 )
+    REWIND( 11 )
     line = ' '
     DO WHILE ( INDEX( line, '&runtime_parameters' ) == 0 )
-       READ ( 11, '(A)', END=16 )  line
+       READ( 11, '(A)', END=16 )  line
     ENDDO
-    BACKSPACE ( 11 )
+    BACKSPACE( 11 )
 
 !
 !-- Read namelist
-    READ ( 11, runtime_parameters, ERR = 15 )
+    READ( 11, runtime_parameters, ERR = 15 )
     GOTO 18
 
@@ -453,8 +777,8 @@
     CALL parin_fail_message( 'runtime_parameters', line )
 
- 16 REWIND ( 11 )
+ 16 REWIND( 11 )
     line = ' '
     DO WHILE ( INDEX( line, '&d3par' ) == 0 )
-       READ ( 11, '(A)', END=18 )  line
+       READ( 11, '(A)', END=18 )  line
     ENDDO
     BACKSPACE ( 11 )
@@ -462,8 +786,8 @@
 !
 !-- Read namelist
-    READ ( 11, d3par, ERR = 17, END = 18 )
-
-    message_string = 'namelist d3par is deprecated and will be ' //      &
-                     'removed in near future. &Please use namelist ' //   &
+    READ( 11, d3par, ERR = 17, END = 18 )
+
+    message_string = 'namelist d3par is deprecated and will be ' //                                &
+                     'removed in near future. &Please use namelist ' //                            &
                      'runtime_parameters instead'
     CALL message( 'parin', 'PA0487', 0, 1, 0, 6, 0 )
@@ -483,13 +807,11 @@
 !
 !-- Calculate the number of groups into which parallel I/O is split.
-!-- The default for files which are opened by all PEs (or where each
-!-- PE opens his own independent file) is, that all PEs are doing input/output
-!-- in parallel at the same time. This might cause performance or even more
-!-- severe problems depending on the configuration of the underlying file
+!-- The default for files which are opened by all PEs (or where each PE opens its own independent
+!-- file) is, that all PEs are doing input/output in parallel at the same time. This might cause
+!-- performance or even more severe problems depending on the configuration of the underlying file
 !-- system.
-!-- Calculation of the number of blocks and the I/O group must be based on all
-!-- PEs involved in this run. Since myid and numprocs are related to the
-!-- comm2d communicator, which gives only a subset of all PEs in case of
-!-- nested runs, that information must be inquired again from the global
+!-- Calculation of the number of blocks and the I/O group must be based on all PEs involved in this
+!-- run. Since myid and numprocs are related to the comm2d communicator, which gives only a subset
+!-- of all PEs in case of nested runs, that information must be inquired again from the global
 !-- communicator.
 !-- First, set the default:
@@ -501,26 +823,23 @@
     global_procs = 1
 #endif
-    IF ( maximum_parallel_io_streams == -1  .OR.                               &
-         maximum_parallel_io_streams > global_procs )  THEN
+    IF ( maximum_parallel_io_streams == -1  .OR.  maximum_parallel_io_streams > global_procs )  THEN
        maximum_parallel_io_streams = global_procs
     ENDIF
 !
-!-- Now calculate the number of io_blocks and the io_group to which the
-!-- respective PE belongs. I/O of the groups is done in serial, but in parallel
-!-- for all PEs belonging to the same group.
+!-- Now calculate the number of io_blocks and the io_group to which the respective PE belongs. I/O
+!-- of the groups is done in serial, but in parallel for all PEs belonging to the same group.
     io_blocks = global_procs / maximum_parallel_io_streams
     io_group  = MOD( global_id+1, io_blocks )
 
 !
-!-- If required, read control parameters from restart file (produced by
-!-- a prior run). All PEs are reading from file created by PE0 (see
-!-- check_open)
+!-- If required, read control parameters from restart file (produced by a prior run). All PEs are
+!-- reading from file created by PE0 (see check_open)
     IF ( TRIM( initializing_actions ) == 'read_restart_data' )  THEN
 
 !
-!--    If not set by the user in the runtime parameters, the data format for restart
-!--    input needs to be set now! This is normally done later in check parameters.
-       IF ( TRIM( restart_data_format ) /= 'fortran_binary'  .AND.                           &
-            TRIM( restart_data_format ) /= 'mpi'             .AND.                           &
+!--    If not set by the user in the runtime parameters, the data format for restart input needs to
+!--    be set now! This is normally done later in check parameters.
+       IF ( TRIM( restart_data_format ) /= 'fortran_binary'  .AND.                                 &
+            TRIM( restart_data_format ) /= 'mpi'             .AND.                                 &
             TRIM( restart_data_format ) /= 'mpi_shared_memory' )  THEN
           message_string = 'illegal restart data format "' // TRIM( restart_data_format ) // '"'
@@ -553,13 +872,12 @@
        runnr = runnr + 1
 !
-!--    In case of a restart run, the number of user-defined profiles on
-!--    the restart file (already stored in max_pr_user) has to match the
-!--    one given for the current run. max_pr_user_tmp is calculated in
-!--    user_parin and max_pr_user is read in via rrd_global.
+!--    In case of a restart run, the number of user-defined profiles on the restart file (already
+!--    stored in max_pr_user) has to match the one given for the current run. max_pr_user_tmp is
+!--    calculated in user_parin and max_pr_user is read in via rrd_global.
        IF ( max_pr_user /= max_pr_user_tmp )  THEN
-          WRITE( message_string, * ) 'the number of user-defined ',      &
-                 'profiles given in data_output_pr (', max_pr_user_tmp,   &
-                 ') does not match the one ',                             &
-                 'found in the restart file (', max_pr_user, ')'
+          WRITE( message_string, * ) 'the number of user-defined ',                                &
+                                     'profiles given in data_output_pr (', max_pr_user_tmp,        &
+                                     ') does not match the one ',                                  &
+                                     'found in the restart file (', max_pr_user, ')'
           CALL message( 'user_parin', 'UI0009', 1, 2, 0, 6, 0 )
        ENDIF
@@ -569,5 +887,5 @@
 !
 !-- Activate spinup
-    IF ( land_surface .OR. urban_surface )  THEN
+    IF ( land_surface  .OR.  urban_surface )  THEN
        IF ( spinup_time > 0.0_wp )  THEN
           coupling_start_time = spinup_time
@@ -579,6 +897,6 @@
           IF ( TRIM( initializing_actions ) /= 'read_restart_data' )  THEN
              spinup = .TRUE.
-          ELSEIF (        TRIM( initializing_actions ) == 'read_restart_data'      &
-                   .AND.  time_since_reference_point > 0.0_wp )  THEN
+          ELSEIF ( TRIM( initializing_actions ) == 'read_restart_data'  .AND.                      &
+                   time_since_reference_point > 0.0_wp )  THEN
              data_output_during_spinup = .FALSE.  !< required for correct ntdim calculation
                                                   !< in check_parameters for restart run
@@ -593,7 +911,7 @@
     IF ( nested_run )  THEN
        IF ( nesting_mode == 'vertical' )  THEN
-          IF (bc_lr /= 'cyclic' .OR. bc_ns /= 'cyclic' )  THEN
-             WRITE ( message_string, *) 'bc_lr and bc_ns were set to ,', &
-                     'cyclic for vertical nesting'
+          IF ( bc_lr /= 'cyclic'  .OR.  bc_ns /= 'cyclic' )  THEN
+             WRITE ( message_string, *) 'bc_lr and bc_ns were set to ,',                           &
+                                        'cyclic for vertical nesting'
              CALL message( 'parin', 'PA0428', 0, 0, 0, 6, 0 )
              bc_lr   = 'cyclic'
@@ -609,6 +927,5 @@
           ENDIF
 !
-!--    For other nesting modes only set boundary conditions for
-!--    nested domains.
+!--    For other nesting modes only set boundary conditions for nested domains.
        ELSE
           IF ( child_domain )  THEN
@@ -625,6 +942,5 @@
     ENDIF
 !
-!-- Set boundary conditions also in case the model is offline-nested in
-!-- larger-scale models.
+!-- Set boundary conditions also in case the model is offline-nested in larger-scale models.
     IF ( nesting_offline )  THEN
        bc_lr    = 'nesting_offline'
@@ -639,19 +955,15 @@
 
 !
-!-- In case of nested runs, make sure that initializing_actions =
-!-- 'set_constant_profiles' even though the constant-profiles
-!-- initializations for the prognostic variables will be overwritten
-!-- by pmci_child_initialize and pmci_parent_initialize. This is,
-!-- however, important e.g. to make sure that diagnostic variables
-!-- are set properly. An exception is made in case of restart runs and
-!-- if user decides to do everything by its own.
-    IF ( child_domain  .AND.  .NOT. (                                    &
-         TRIM( initializing_actions ) == 'read_restart_data'      .OR.   &
-         TRIM( initializing_actions ) == 'set_constant_profiles'  .OR.   &
-         TRIM( initializing_actions ) == 'by_user' ) )  THEN
-       message_string = 'initializing_actions = ' //                     &
-                        TRIM( initializing_actions ) // ' has been ' //  &
-                        'changed to set_constant_profiles in child ' //  &
-                        'domain.'
+!-- In case of nested runs, make sure that initializing_actions = 'set_constant_profiles' even
+!-- though the constant-profiles initializations for the prognostic variables will be overwritten by
+!-- pmci_child_initialize and pmci_parent_initialize. This is, however, important e.g. to make sure
+!-- that diagnostic variables are set properly. An exception is made in case of restart runs and if
+!-- user decides to do everything by its own.
+    IF ( child_domain  .AND.  .NOT. ( TRIM( initializing_actions ) == 'read_restart_data'     .OR. &
+                                      TRIM( initializing_actions ) == 'set_constant_profiles' .OR. &
+                                      TRIM( initializing_actions ) == 'by_user' )                  &
+                                    )  THEN
+       message_string = 'initializing_actions = ' // TRIM( initializing_actions ) //               &
+                        ' has been ' // 'changed to set_constant_profiles in child ' // 'domain.'
        CALL message( 'parin', 'PA0492', 0, 0, 0, 6, 0 )
 
@@ -659,19 +971,16 @@
     ENDIF
 !
-!-- Check validity of lateral boundary conditions. This has to be done
-!-- here because they are already used in init_pegrid and init_grid and
-!-- therefore cannot be check in check_parameters
-    IF ( bc_lr /= 'cyclic'  .AND.  bc_lr /= 'dirichlet/radiation'  .AND. &
-         bc_lr /= 'radiation/dirichlet'  .AND.  bc_lr /= 'nested'  .AND. &
+!-- Check validity of lateral boundary conditions. This has to be done here because they are already
+!-- used in init_pegrid and init_grid and therefore cannot be check in check_parameters
+    IF ( bc_lr /= 'cyclic'               .AND.  bc_lr /= 'dirichlet/radiation'  .AND.              &
+         bc_lr /= 'radiation/dirichlet'  .AND.  bc_lr /= 'nested'               .AND.              &
          bc_lr /= 'nesting_offline' )  THEN
-       message_string = 'unknown boundary condition: bc_lr = "' // &
-                        TRIM( bc_lr ) // '"'
+       message_string = 'unknown boundary condition: bc_lr = "' // TRIM( bc_lr ) // '"'
        CALL message( 'parin', 'PA0049', 1, 2, 0, 6, 0 )
     ENDIF
-    IF ( bc_ns /= 'cyclic'  .AND.  bc_ns /= 'dirichlet/radiation'  .AND. &
-         bc_ns /= 'radiation/dirichlet'  .AND.  bc_ns /= 'nested'  .AND. &
+    IF ( bc_ns /= 'cyclic'               .AND.  bc_ns /= 'dirichlet/radiation'  .AND.              &
+         bc_ns /= 'radiation/dirichlet'  .AND.  bc_ns /= 'nested'               .AND.              &
          bc_ns /= 'nesting_offline' )  THEN
-       message_string = 'unknown boundary condition: bc_ns = "' // &
-                        TRIM( bc_ns ) // '"'
+       message_string = 'unknown boundary condition: bc_ns = "' // TRIM( bc_ns ) // '"'
        CALL message( 'parin', 'PA0050', 1, 2, 0, 6, 0 )
     ENDIF
@@ -686,40 +995,35 @@
 !
 !-- Radiation-Dirichlet conditions are allowed along one of the horizontal directions only.
-!-- In general, such conditions along x and y may work, but require a) some code changes
-!-- (e.g. concerning allocation of c_u, c_v ... arrays), and b) a careful model setup by the
-!-- user, in order to guarantee that there is a clearly defined outflow at two sides.
+!-- In general, such conditions along x and y may work, but require a) some code changes (e.g.
+!-- concerning allocation of c_u, c_v ... arrays), and b) a careful model setup by the user, in
+!-- order to guarantee that there is a clearly defined outflow at two sides.
 !-- Otherwise, the radiation condition may produce wrong results.
     IF ( ( bc_lr_dirrad .OR. bc_lr_raddir )  .AND.  ( bc_ns_dirrad .OR. bc_ns_raddir ) )  THEN
-       message_string = 'bc_lr = "' // TRIM( bc_lr ) // '" and bc_ns = "' //                 &
-                        TRIM( bc_ns ) // '" are not allowed to be set at the same time'
+       message_string = 'bc_lr = "' // TRIM( bc_lr ) // '" and bc_ns = "' // TRIM( bc_ns ) //      &
+                        '" are not allowed to be set at the same time'
        CALL message( 'parin', 'PA0589', 1, 2, 0, 6, 0 )
     ENDIF
 !
-!-- Check in case of initial run, if the grid point numbers are well
-!-- defined and allocate some arrays which are already needed in
-!-- init_pegrid or check_parameters. During restart jobs, these arrays
-!-- will be allocated in rrd_global. All other arrays are allocated
-!-- in init_3d_model.
+!-- Check in case of initial run, if the grid point numbers are well defined and allocate some
+!-- arrays which are already needed in init_pegrid or check_parameters. During restart jobs, these
+!-- arrays will be allocated in rrd_global. All other arrays are allocated in init_3d_model.
     IF ( TRIM( initializing_actions ) /= 'read_restart_data' )  THEN
 
        IF ( nx <= 0 )  THEN
-          WRITE( message_string, * ) 'no value or wrong value given',    &
-                                     ' for nx: nx=', nx
+          WRITE( message_string, * ) 'no value or wrong value given', ' for nx: nx=', nx
           CALL message( 'parin', 'PA0273', 1, 2, 0, 6, 0 )
        ENDIF
        IF ( ny <= 0 )  THEN
-          WRITE( message_string, * ) 'no value or wrong value given',    &
-                                     ' for ny: ny=', ny
+          WRITE( message_string, * ) 'no value or wrong value given', ' for ny: ny=', ny
           CALL message( 'parin', 'PA0274', 1, 2, 0, 6, 0 )
        ENDIF
        IF ( nz <= 0 )  THEN
-          WRITE( message_string, * ) 'no value or wrong value given',    &
-                                     ' for nz: nz=', nz
+          WRITE( message_string, * ) 'no value or wrong value given', ' for nz: nz=', nz
           CALL message( 'parin', 'PA0275', 1, 2, 0, 6, 0 )
        ENDIF
 
 !
-!--    As a side condition, routine flow_statistics require at least 14
-!--    vertical grid levels (they are used to store time-series data)
+!--    As a side condition, routine flow_statistics require at least 14 vertical grid levels (they
+!--    are used to store time-series data)
 !>     @todo   Remove this restriction
        IF ( nz < 14 )  THEN
@@ -729,10 +1033,10 @@
 
 !
-!--    ATTENTION: in case of changes to the following statement please
-!--               also check the allocate statement in routine rrd_global
-       ALLOCATE( pt_init(0:nz+1), q_init(0:nz+1), s_init(0:nz+1),        &
-                 ref_state(0:nz+1), sa_init(0:nz+1), ug(0:nz+1),         &
-                 u_init(0:nz+1), v_init(0:nz+1), vg(0:nz+1),             &
-                 hom(0:nz+1,2,pr_palm+max_pr_user+max_pr_cs+max_pr_salsa,0:statistic_regions),  &
+!--    ATTENTION: in case of changes to the following statement please also check the allocate
+!--               statement in routine rrd_global
+       ALLOCATE( pt_init(0:nz+1), q_init(0:nz+1), s_init(0:nz+1),                                  &
+                 ref_state(0:nz+1), sa_init(0:nz+1), ug(0:nz+1),                                   &
+                 u_init(0:nz+1), v_init(0:nz+1), vg(0:nz+1),                                       &
+                 hom(0:nz+1,2,pr_palm+max_pr_user+max_pr_cs+max_pr_salsa,0:statistic_regions),     &
                  hom_sum(0:nz+1,pr_palm+max_pr_user+max_pr_cs+max_pr_salsa,0:statistic_regions) )
 
